Name:    nde-powermanagement 
Summary: Powermanagement daemon for Nde desktop suite
Version: 0.0.1
Release: 22%{?dist}
License: LGPLv2+
URL:     http://www.gd-linux.com
Source0: %{name}-%{version}.tar.gz

BuildRequires: pkgconfig(Qt5Help)
BuildRequires: nde-qtxdg-devel >= 0.0.1
BuildRequires: pkgconfig(Qt5Svg) >= 1.0.0
BuildRequires: nde-lib-devel >= 0.0.1-18
BuildRequires: desktop-file-utils
BuildRequires: kf5-kwindowsystem-devel >= 5.5
BuildRequires: kf5-solid-devel >= 5.5
BuildRequires: pkgconfig(libstatgrab)
Buildrequires: kf5-kidletime-devel >= 5.5

%description
%{summary}.

%package l10n
Summary:        Translations for nde-powermanagement
Requires:       nde-powermanagement
%description l10n
This package provides translations for the nde-powermanagement package.

%prep
%setup -q

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
    %{cmake_nde} -DPULL_TRANSLATIONS=NO ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

#desktop-file-edit --remove-category=Nde --add-category=X-Nde \
#   --remove-only-show-in=Nde --add-only-show-in=X-Nde %{buildroot}%{_datadir}/applications/nde-config-powermanagement.desktop

%find_lang nde-powermanagement --with-qt
%find_lang nde-config-powermanagement --with-qt

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files
%{_bindir}/nde-powermanagement
%{_bindir}/nde-config-powermanagement
%{_datadir}/applications/nde-config-powermanagement.desktop
%{_datadir}/icons/hicolor/*
%{_sysconfdir}/xdg/autostart/nde-powermanagement.desktop

%files l10n -f nde-powermanagement.lang -f nde-config-powermanagement.lang
%license LICENSE
%doc AUTHORS CHANGELOG README.md
%dir %{_datadir}/nde/translations/nde-powermanagement
%dir %{_datadir}/nde/translations/nde-config-powermanagement

%changelog
* Wed Nov 03 2021 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-22
- 屏蔽没有电池通知

* Wed Nov 03 2021 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-21
- 屏蔽第一次启动电源弹出

* Tue Nov 02 2021 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-20
- 修复第一次使用设置启动的程序为控制中心的电源模块

* Mon Sep 6 2021 He leilei <he.leilei@zte.com.cn> - 0.0.1-19
- 修复翻译的问题

* Wed Aug 25 2021 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-18
- 回退上个版本代码

* Tue Aug 24 2021 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-17
- 翻译通知窗口的标题及修改打开的配置应用

* Tue Aug 10 2021 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-16
- 修复低电量设置关闭显示器不生效，且警告提示框一直显示(#3915)

* Tue Aug 3 2021 He leilei <he.leilei@zte.com.cn> - 0.0.1-15
- 支持主题属性设置电池图标颜色

* Thu Jul 29 2021 He leilei <he.leilei@zte.com.cn> - 0.0.1-14
- 代码优化

* Tue Jul 27 2021 He leilei <he.leilei@zte.com.cn> - 0.0.1-13
- 支持主题配置图标颜色

* Tue Jul 27 2021 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-12
- 修复电源管理器bug(#3882~3885)

* Mon Jul 26 2021 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-11
- 修改电源挂起后重启出现不断挂起问题

* Mon Jul 26 2021 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-10
- 修改电源通知窗口

* Tue Jul 20 2021 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-9
- 修复电量低时不提示通知问题(#3838,#3836)

* Thu Oct 29 2020 wu jiaheng <wu.jiaheng@zte.com.cn> - 0.0.1-7
- 更改电池图标大小

* Thu Sep 10 2020 wu jiaheng <wu.jiaheng@zte.com.cn> - 0.0.1-6
- 添加汉化

* Wed Jul 22 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.0.1-5
- 汉化显示状态

* Tue Jul 21 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.0.1-4
- 修改电池显示状态，电池位置随任务栏改变而变化

* Wed May 27 2020 He leilei <he.leilei@zte.com.cn> - 0.0.1-3
- 修改通知图标为应用图标，解决通知栏无法显示图标的问题

* Tue May 26 2020 lv kaiyi <lv.kaiyi@zte.com.cn> - 0.0.1-2
- 修改电池显示

* Fri May 15 2020 Wu Shangmin <wu.shangmin@zte.com.cn> - 0.0.1-1
- Rename(984)

